/*
 *  ======== hello.c ========
 *  The hello example serves as a basic sanity check program for SYS/BIOS. It
 *  demonstrates how to print the string "hello world" to stdout. 
 */

#include <xdc/std.h>

#include <xdc/runtime/System.h>
#include <ti/sysbios/BIOS.h>
#include <xdc/runtime/System.h>
#include <xdc/runtime/Memory.h>
#include <xdc/runtime/Error.h>
#include <xdc/runtime/IHeap.h>

extern IHeap_Handle CAPTURE_HEAP;
/*
 *  ======== main ========
 */
Int main()
{ 

   Ptr pCaptureBuffer = NULL;
   Error_Block eb;

   pCaptureBuffer = Memory_alloc(CAPTURE_HEAP,0x10000000, 128, &eb);

   System_printf("hello world\n");

    /* This return NULL Ptr */


    /*
     *  normal BIOS programs, would call BIOS_start() to enable interrupts
     *  and start the scheduler and kick BIOS into gear.  But, this program
     *  is a simple sanity test and calls BIOS_exit() instead.
     */
    BIOS_exit(0);  /* terminates program and dumps SysMin output */
    return(0);
}
